=== debian/changelog ===
agrep (4.17-9) unstable; urgency=low

  * debian/control
    - (Build-Depends): Rm dpkg-dev; not needed with DEB_*_MAINT_* variables.
    - (Standards-Version): Update to 3.9.3.1.
  * debian/copyright
    - Update to format 1.0.
  * debian/rules
    - Use DEB_*_MAINT_* variables to enable all hardening features.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 11 Apr 2012 00:09:20 +0300

agrep (4.17-8) unstable; urgency=low

  * debian/compat
    - Update to 9
  * debian/control
    - (Build-Depends): update to debhelper 9, dpkg-dev 1.16.1. Remove
      dpatch.
  * debian/install
    - New file.
  * debian/copyright:
    - Update to DEP5.
  * debian/patches
    - Convert all patches to quilt.
    - Renumber patches: number 10-19 are used for manual pages.
  * debian/rules
    - Update to dh(1).
    - Use hardened CFLAGS.
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags
  * debian/source/format
    - New. Update to 3.0.
  * debian/debian-vars.mk
    - Delete. No longer needed.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 23 Feb 2012 09:26:12 -0500

agrep (4.17-7) unstable; urgency=low

  * debian/debian-vars.mk:
    - Adjust MAKE_FLAGS check (FTBFS sparc; Closes: #502862).
  * debian/patches/02-manpage-hyphen.dpatch:
    - New. Fix hyphens with \- (Lintian).
  * debian/patches/03-manpage-fhs-dir-dict.dpatch:
    - New. Fix FHS /usr/share/dict/words (Lintian).

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 20 Oct 2008 17:52:00 +0300

agrep (4.17-6) unstable; urgency=low

  * debian/copyright:
    - Update to latest dh-make template.
    - Use ISO 8601 dates.
    - Add current maintainer to Debian package copyright line.
  * debian/debian-vars.mk:
    - New file.
  * debian/control:
    - (Description): remove word UNIX, mention glimpse.
    - (Homepage): Move to new field.
    - (Standards-Version): Update to latest.
    - (Vcs-*): New fields
  * debian/rules:
    - (build-stamp): Add MAKE_FLAGS to build call.
    - (clean): Rewrite error suppression '-' (Lintian fix).
    - (clean-debian-dir): New. Comment out dh_clean calls to preserve
      orignal sources' *.orig and *.rej files and use this make target.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 19 Oct 2008 10:18:44 +0300

agrep (4.17-5) unstable; urgency=low

  * New maintainer. (O/ITA; Closes: #407649)
  * debian/control: Add homepage URL.
  * debian/watch: New file.
  * debian/copyright: Clarify the glimpse-agrep license issue (new versions
    cannot be packaged).

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 25 Jan 2007 21:11:14 +0200

agrep (4.17-4) unstable; urgency=low

  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Sat, 20 Jan 2007 11:42:00 +0100

agrep (4.17-3) unstable; urgency=low

  * New email address.
  * Some packaging style changes.

 -- Daniel Baumann <daniel@debian.org>  Wed,  5 Jul 2006 13:29:00 +0200

agrep (4.17-2) unstable; urgency=low

  * Added patch to fix FTBS on amd64 (Closes: #344909).

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Tue, 27 Dec 2005 17:01:00 +0100

agrep (4.17-1) unstable; urgency=low

  * New upstream release (Closes: #307442).
  * Using dpatch for source modifications.
  * Updated debian/ to newer debhelper templates.

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Tue, 20 Dec 2005 13:59:00 +0100

agrep (2.04-3) unstable; urgency=low

  * New maintainer (Closes: #288371).
  * debian/*: updated to new standard.
  * debian/rules rewritten.
  * fixed lintian errors.
  * added extra documentation from upstream site, removed useless
    README.Debian.

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Wed,  2 Feb 2005 01:30:00 +0100

agrep (2.04-2) unstable; urgency=low

  * New maintainer (closes: #201367).
  * Updated to standards version 3.6.0.
  * Description on multiple lines (closes: #180727).

 -- Luk Claes <luk.claes@ugent.be>  Tue, 15 Jul 2003 18:57:32 +0200

agrep (2.04-1) unstable; urgency=low

  * Initial Release.

 -- Michael-John Turner <mj@debian.org>  Fri, 11 May 2001 21:19:29 +0200
