=== debian/control ===
Source: agrep
Section: non-free/text
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3.1
Vcs-Browser: http://git.debian.org/?p=collab-maint/debian.git
Vcs-Git: git://git.debian.org/git/collab-maint/debian.git
Homepage: http://freshmeat.net/projects/agrep

Package: agrep
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: text search tool with support for approximate patterns
 agrep is a version of standard grep with the following enhancements:
 .
  * the ability to search for approximate patterns
  * it is record oriented rather than just line oriented
  * multiple patterns with AND OR logic queries
 .
 This package contains glimpse's (4.x) last free version of grep.
